#include "SurvivorCalamariContaminationInteractionHandlerComponent.h"
#include "Net/UnrealNetwork.h"

void USurvivorCalamariContaminationInteractionHandlerComponent::OnRep_UseSelfAttacherComponent()
{

}

void USurvivorCalamariContaminationInteractionHandlerComponent::OnRep_UseOtherAttacherComponent()
{

}

void USurvivorCalamariContaminationInteractionHandlerComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USurvivorCalamariContaminationInteractionHandlerComponent, _useOtherAttacherComponent);
	DOREPLIFETIME(USurvivorCalamariContaminationInteractionHandlerComponent, _useSelfAttacherComponent);
}

USurvivorCalamariContaminationInteractionHandlerComponent::USurvivorCalamariContaminationInteractionHandlerComponent()
{
	this->_useOtherClass = NULL;
	this->_useSelfClass = NULL;
}
